import request from '@/utils/request'


// 根据会员编号查询会员姓名
export function getMemberName(params) {
    return request({
        url: '/member/manager/recharge/member-name',
        method: 'get',
        params

    })
}

//充值操作类型
export function getRechargeOperationType(params) {
    return request({
        url: '/system/pub/enums/get-recharge-operation-type',
        method: 'get',
        params
    })
}

// 币种类型选择
export function getenumsAccount(params) {
    return request({
        url: '/system/manage/account/pkBdAccountList',
        method: 'get',
        params
    })
}

// 充值币种类型选择
export function getenumsCzAccount(params) {
    return request({
        url: '/system/manage/account/rechargeList',
        method: 'get',
        params
    })
}

//交款方式选择
export function getpaymentType(params) {
    return request({
        url: '/system/pub/enums/get-payment-type',
        method: 'get',
        params
    })
}

//下载模板
export function importRechargeTemplate(data) {
    return request({
        url: '/member/manager/recharge/download-template',
        method: 'post',
        data
    })
}

//充值方式
export function getrechargeMethod(params) {
    return request({
        url: '/system/pub/enums/get-recharge-method',
        method: 'get',
        params
    })
}

//充值明细table
export function changeAccountType(params) {
    return request({
        // url: '/member/manager/frozen/balance-show',
        url:'/member/manager/recharge/show-member',
        method: 'get',
        params
    })
}
//冻结明细table
export function freezeDetailList(data) {
    return request({
        url: '/member/manager/frozen/balance-show',
        method: 'post',
        data
    })
}

//批量充值明细
export function changePlAccountType(data) {
    return request({
        url: '/member/manager/recharge/batch-show',
        method: 'post',
        data
    })
}

//充值明细页面
export function getrechageList(data) {
    return request({
        url: '/member/manager/recharge/list?pageNum=' + data.pageNum + '&pageSize=' + data.pageSize,
        method: 'post',
        data
    })
}


//充值明细-操作人列表
export function getCreatorList(params) {
    return request({
        url: '/member/manager/recharge/show-operator',
        method: 'get',
        params
    })
}

//充值到签呈页面
export function saveShowPetition(data) {
    return request({
        url: '/member/manager/recharge/show-petition',
        method: 'post',
        data
    })
}

//单笔充值
export function rechargeFill(data) {
    return request({
        url: '/member/manager/recharge/fill',
        method: 'post',
        data
    })
}

//批量充值
export function rechargePlFill(data) {
    return request({
        url: '/member/manager/recharge/batch-fill',
        method: 'post',
        data
    })
}


//审核状态
export function getApproveStatus(params) {
    return request({
        url: '/system/pub/enums/approve-recharge-status',
        method: 'get',
        params
    })
}

//冻结类型
export function getDongjieType(params) {
    return request({
        url: '/system/pub/enums/wallet-freeze-state',
        method: 'get',
        params
    })
}

//冻结操作类型
export function getFreezeOperationType(params) {
    return request({
        url: '/system/pub/enums/get-freeze-operation-type',
        method: 'get',
        params
    })
}

//单笔冻结
export function fozenAmout(data) {
    return request({
        url: '/member/manager/frozen/frozen-amount',
        method: 'post',
        data
    })
}

//批量冻结
export function batchFozenAmout(data) {
    return request({
        url: '/member/manager/frozen/batch-frozen-amount',
        method: 'post',
        data
    })
}

//冻结签呈
export function showFrozenPetition(data) {
    return request({
        url: '/member/manager/frozen/show-frozen-petition',
        method: 'post',
        data
    })
}

//冻结明细列表
export function getFrozenList(data) {
    return request({
        url: '/member/manager/frozen/frozen-list?pageNum=' + data.pageNum + '&pageSize=' + data.pageSize,
        method: 'post',
        data
    })
}

//余额汇总列表
export function getBalanceSummaryList(data) {
    return request({
        url: '/member/manager/account-detail/list?pageNum=' + data.pageNum + '&pageSize=' + data.pageSize,
        method: 'post',
        data
    })
}


//余额汇总字段显示
export function getBalanceSummaryField(params) {
    return request({
        url: '/member/manager/account-detail/list-field',
        method: 'get',
        params
    })
}

//余额汇总详情列表
export function getBalanceSummaryDetailList(data) {
    return request({
        url: '/member/manager/account-detail/detail-list?pageNum=' + data.pageNum + '&pageSize=' + data.pageSize,
        method: 'post',
        data
    })
}

//余额汇总详情字段显示
export function getBalanceSummaryDetailField(params) {
    return request({
        url: '/member/manager/account-detail/detail-field',
        method: 'get',
        params
    })
}


//余额汇总统计列表
export function getBalanceSummaryTotalList(params) {
    return request({
        url: '/member/manager/account-summary/statistics',
        method: 'get',
        params
    })
}

//余额汇总统计-顶点下拉选
export function getTopMemberList(params) {
    return request({
        url: '/member/manager/member/query-top-member',
        method: 'get',
        params
    })
}

// 体系下拉选
export function getvertexValue(params) {
    return request({
      url: '/system/manage/vertex/find-all',
      method: 'get',
      params
    })
  }


